Boomi Platform API Reference (1.0.0) - cancelExecution
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
You can use the cancelExecution object to cancel a current process run on a particular runtime. To cancel a process run, you must have the Execute privilege and access to both the process and the runtime on which the process is currently running.
cancelExecution operation
To perform a cancelExecution operation, send an HTTP POST to:
https://api.boomi.com/api/rest/v1/{accountId}/cancelExecution/{executionId}
where accountId is the user's account ID and executionId is the ID of the process running on a runtime.
A successful cancelExecution call returns an HTTP status code of 202. An error message appears if you cannot cancel the run because the runtime is not running.
Authorizations:
path Parameters
| executionId required | string A unique identifier assigned by the system to a running process |
Responses
Response samples
- 202
- 403
- 410
- 503
{- "message": "Operation completed successfully."
}